package com.qmth.teachcloud.mark.service;

import java.util.List;

import com.qmth.teachcloud.mark.entity.MarkPaper;
import org.springframework.web.multipart.MultipartFile;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.entity.MarkDocument;

/**
 * <p>
 * 考试科目表 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkDocumentService extends IService<MarkDocument> {
    List<MarkDocument> listByExamIdAndPaperNumber(Long examId, String paperNumber);

    String importById(Long id, MultipartFile file, String md5);

    void deleteById(Long id);

    String save(Long examId, String paperNumber, String documentName, MultipartFile file, String md5);

    void initMarkDocument(MarkPaper markPaper);
}
